After v5 merge into master the install script fails

It is just awesome than the v5 is now in the master branch :smile:

I am testing the install script after the merge and it is failling in CentOS 7, CentOS 6.5, Debian 7 and Ubuntu 14.04, all x86_62 systems.

I have reported the issue at github:

Regards

Looks like the minimum requirements are 1GB of RAM, the script only support x86_64 arch, it is posible to install ERPNext in 32 bits system but user need to edit the script by hand, could be nice to mate of this in the Install Instructions

64 bits server requires more RAM. Yes it would be nice if it supports 32 bits install for small server.

Is 1GB RAM server enough for 64bits install for upto 5 concurrent erpnext users?

Tks

1 Like

With v4 you can have 5 user working under a normal flow of work with 512 mb of ram, I have not ben able to have a wrking v5 system :frowning: , but looks like 1GB of RAM is the minimal

Is v5 working now by easy install script?

Yes, it does, but it need a lot of ram to run. I make a clean install with 2GB of ram and 4 gb of SWAP.

You can add SWAP to your Linux box with a swapfile can see:

CentOS7

CentOS6:

Ubuntu:

You make your swap file permanent, remember than you will need the same RAM and SWAP to update Frappe.

I think than with 1GB of RAM and 4GB of swap the script should work but I have not tested wit this setup

Continuing the discussion from After v5 merge into master the install script fails:

So does the install-scripts support 32bit now without edit the script?

Tks

Not it does not :frowning: